import java.util.concurrent.RecursiveTask;

/**
 * @author David Swanson
 * 
 * Skeleton to compute the longest sequence of a given number
 * in an array using the Fork-Join framework
 * 
 */
public class LongestSequence extends RecursiveTask<Result> {

    /**
     * Constructor
     * 
     * @param x
     *            The target number to find the longest sequence of.
     * @param array
     *            The source array where the sequence is located
     * @param low
     *            The lower bound on the search
     * @param high
     *            The upper bound on the search
     */
    LongestSequence(int x, int[] array, int low, int high) {

	// Your code here

    }

    /**
     * Computes the longest sequence
     */
    @Override
	protected Result compute() {
	
	// Your code here

    }

}
